org.apache.ignite.internal.processors.cache

## Class GridCacheAdapter.AsyncOp<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAdapter.AsyncOp<T>

Enclosing class:
  GridCacheAdapter<K,V>

    protected abstract class GridCacheAdapter.AsyncOp<T>
    extends Object

Cache operation.

### Constructor Summary

Constructors
`protected` `AsyncOp()`
`protected` `AsyncOp(Collection<?> keys)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`IgniteInternalFuture<T>` `op(GridNearTxLocal tx)`
`abstract IgniteInternalFuture<T>` `op(GridNearTxLocal tx, AffinityTopologyVersion readyTopVer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncOp

    protected AsyncOp()

#### AsyncOp

    protected AsyncOp(Collection<?> keys)

Parameters:
  `keys` - Keys involved.

### Method Detail

#### op

    public abstract IgniteInternalFuture<T> op(GridNearTxLocal tx,
                                               AffinityTopologyVersion readyTopVer)

Parameters:
  `tx` - Transaction.
  `readyTopVer` - Ready topology version.
Returns:
  Operation future.

#### op

    public IgniteInternalFuture<T> op(GridNearTxLocal tx)

Parameters:
  `tx` - Transaction.
Returns:
  Operation future.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022